curl --request GET \
--url https://api.getcargo.io/v1/orchestration/batches/{uuid} \
--header 'Authorization: Bearer <token>'{
"batch": {
"uuid": "<string>",
"workspaceUuid": "<string>",
"workflowUuid": "<string>",
"releaseUuid": "<string>",
"nodes": [
{
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"slug": "<string>",
"config": {},
"childrenUuids": [
"<string>"
],
"fallbackOnFailure": true,
"position": {
"x": 123,
"y": 123
},
"kind": "native",
"actionSlug": "<string>",
"name": "<string>",
"description": "<string>",
"retry": {
"maximumAttempts": 123,
"initialInterval": 123,
"backoffCoefficient": 123
},
"fallbackChildUuid": "<string>"
}
],
"temporalWorkflowId": "<string>",
"data": {
"kind": "<string>",
"segmentUuid": "<string>"
},
"errorMessage": "<string>",
"status": "pending",
"runsStatus": "healthy",
"runsCount": 123,
"executedRunsCount": 123,
"failedRunsCount": 123,
"creditsUsedCount": 123,
"createdAt": "<string>",
"updatedAt": "<string>",
"finishedAt": "<string>"
}
}Get an orchestration batch by UUID
curl --request GET \
--url https://api.getcargo.io/v1/orchestration/batches/{uuid} \
--header 'Authorization: Bearer <token>'{
"batch": {
"uuid": "<string>",
"workspaceUuid": "<string>",
"workflowUuid": "<string>",
"releaseUuid": "<string>",
"nodes": [
{
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"slug": "<string>",
"config": {},
"childrenUuids": [
"<string>"
],
"fallbackOnFailure": true,
"position": {
"x": 123,
"y": 123
},
"kind": "native",
"actionSlug": "<string>",
"name": "<string>",
"description": "<string>",
"retry": {
"maximumAttempts": 123,
"initialInterval": 123,
"backoffCoefficient": 123
},
"fallbackChildUuid": "<string>"
}
],
"temporalWorkflowId": "<string>",
"data": {
"kind": "<string>",
"segmentUuid": "<string>"
},
"errorMessage": "<string>",
"status": "pending",
"runsStatus": "healthy",
"runsCount": 123,
"executedRunsCount": 123,
"failedRunsCount": 123,
"creditsUsedCount": 123,
"createdAt": "<string>",
"updatedAt": "<string>",
"finishedAt": "<string>"
}
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Batch identifier.
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$Successful response
Batch details.
Show child attributes
Was this page helpful?